# Poco::Net

# template < typename T >

# class CertificateHandlerFactoryImpl

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/CertificateHandlerFactory.h

## Inheritance

Direct Base Classes: CertificateHandlerFactory

All Base Classes: CertificateHandlerFactory

## Member Summary

Member Functions: create

Inherited Functions: create

## Constructors

### CertificateHandlerFactoryImpl

CertificateHandlerFactoryImpl();

## Destructor

### ~CertificateHandlerFactoryImpl

~CertificateHandlerFactoryImpl();

## Member Functions

### create

InvalidCertificateHandler * create(
bool server
) const;

See also: Poco::Net::CertificateHandlerFactory::create()